%define		modname	suhosin
Summary:	Advanced protection system for PHP installations
Summary(pl.UTF-8):	Zaawansowany system zabezpieczeń dla instalacji PHP
Name:		php-%{modname}
Version:	0.9.32.1
Release:	7
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://download.suhosin.org/%{modname}-%{version}.tar.gz
# Source0-md5:	26a86f0f684a656c3e789e3eb4ec1db3
URL:		http://www.hardened-php.net/suhosin/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Suhosin is an advanced protection system for PHP installations. It was
designed to protect servers and users from known and unknown flaws in
PHP applications and the PHP core.

Unlike Hardening-Patch Suhosin is binary compatible to normal PHP
installation, which means it is compatible to 3rd party binary
extension like ZendOptimizer.

%description -l pl.UTF-8
Suhosin to zaawansowany system zabezpieczeń dla instalacji PHP. Został
zaprojektowany do ochrony serwerów i użytkowników przed znanymi i
nieznanymi lukami w aplikacjach PHP i samym PHP.

W przeciwieństwie do łaty Hardening-Patch Suhosin jest binarnie
kompatybilny ze zwykłą instalacją PHP, co oznacza, że jest
kompatybilny z binarnymi rozszerzeniami innych producentów, takimi jak
ZendOptimizer.

%prep
%setup -q -n suhosin-%{version}

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	EXTENSION_DIR=%{php_extensiondir} \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cp -a %{modname}.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS Changelog
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Wed Oct 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-suhosin.git;a=log;h=AC-branch

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> eb91a98
- use php(core) as dependency to require php version
- release 6 (by relup.sh)

* Mon Aug 06 2012 Elan Ruusamäe <glen@delfi.ee> fd414d9
- release 6 (by relup.sh)

* Tue Nov 08 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cce285
- release 5

* Mon May 23 2011 lisu <lisu@pld-linux.org> 8a9fb18
- rel 4

* Wed Apr 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 79b14e7
- release 3

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a943959
- release 2

* Mon Aug 09 2010 dzeus <dzeus@pld-linux.org> cd17921
- up to 0.9.32.1 (added support for memory_limit > 2GB)

* Thu Jun 03 2010 Elan Ruusamäe <glen@pld-linux.org> c2a4288
- release 3

* Thu Apr 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a0ddf72
- release 2

* Wed Mar 31 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c6e5021
- up to 0.9.31

* Fri Mar 19 2010 Tomasz Pala <gotar@pld-linux.org> 49eaa86
- upgraded to 0.9.29

* Sun Dec 07 2008 Adam Gołębiowski <adamg@pld-linux.org> 5d03142
- updated to 0.9.27

* Wed Aug 06 2008 Elan Ruusamäe <glen@pld-linux.org> c0a1dce
- underscores out

* Wed Aug 06 2008 Adam Gołębiowski <adamg@pld-linux.org> ff9a0ff
- updated to 0.9.25

* Thu May 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f306e32
- revert

* Thu May 15 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b4a0acf
- initial

* Sun Jun 03 2007 Tomasz Pala <gotar@pld-linux.org> 5640e56
- use shipped config file

* Sun Jun 03 2007 Tomasz Pala <gotar@pld-linux.org> f29be93
- upgraded to 0.9.20

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d63ebc2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e050385
- converted to UTF-8

